textures/dg_demon/blast_decal_right
{
	polygonOffset
	entityMergable


	{
		map textures/dg_demon/blast_decal_right.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
		alphaGen vertex
	}
}

textures/dg_demon/blast_decal_left
{
	polygonOffset
	entityMergable


	{
		map textures/dg_demon/blast_decal_left.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
		alphaGen vertex
	}
}

textures/dg_demon/aztek_statue
{
	qer_editorimage textures/dg_demon/aztek_statue.tga
	q3map_lightmapsamplesize 1x1
	surfaceparm gravelsteps  

	q3map_normalimage textures/dg_demon/aztek_statue_bump.tga

	{
		map $lightmap
	}

	{
		map textures/dg_demon/aztek_statue.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
} 


textures/dg_demon/aztek_wall_panel_1
{
	qer_editorimage textures/dg_demon/aztek_wall_panel_1.tga
	q3map_lightmapsamplesize 1x1
	surfaceparm gravelsteps  

//	q3map_normalimage textures/dg_demon/aztek_wall_panel_1_bump.tga

	{
		map $lightmap
	}

	{
		map textures/dg_demon/aztek_wall_panel_1.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/dg_demon/dg_sun_dial
{
	qer_editorimage textures/dg_demon/dg_sun_dial.tga
	q3map_lightmapsamplesize 1x1
	surfaceparm gravelsteps  

	q3map_normalimage textures/dg_demon/dg_sun_dial_bump.tga

	{
		map $lightmap
	}

	{
		map textures/dg_demon/dg_sun_dial.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/dg_demon/dg_moon_dial
{
	qer_editorimage textures/dg_demon/dg_moon_dial.tga
	q3map_lightmapsamplesize 1x1
	surfaceparm gravelsteps  

	q3map_normalimage textures/dg_demon/dg_moon_dial_bump.tga

	{
		map $lightmap
	}

	{
		map textures/dg_demon/dg_moon_dial.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/dg_demon/wall_scone
{
	polygonOffset
	entityMergable


	{
		map textures/dg_demon/wall_scone.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
		alphaGen vertex
	}
}

textures/dg_demon/death_statue
{
	qer_editorimage textures/dg_demon/death_statue.tga
	q3map_lightmapsamplesize 1x1
	surfaceparm gravelsteps  

	q3map_normalimage textures/dg_demon/death_statue_bump.tga

	{
		map $lightmap
	}

	{
		map textures/dg_demon/death_statue.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}
textures/dg_demon/stone_wall
{
	qer_editorimage textures/dg_demon/stone_wall.tga
	q3map_lightmapsamplesize 1x1
	surfaceparm gravelsteps  

//	q3map_normalimage textures/dg_demon/stone_wall_bump.tga

	{
		map $lightmap
	}

	{
		map textures/dg_demon/stone_wall.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

///////////////////////////////////////////////////////////////////
//                Torch with Lightmap properties                 //
///////////////////////////////////////////////////////////////////

textures/dg_demon/wall_torch
{
	
	surfaceparm nomarks
	q3map_surfacelight 3000
	qer_editorimage textures/dg_demon/flame1.tga
	q3map_backsplash 0.9 20 

	{ 
        map $lightmap 
        rgbGen identity 
    } 

	{
		animMap 10 textures/dg_demon/flame1.tga textures/dg_demon/flame2.tga textures/dg_demon/flame3.tga textures/dg_demon/flame4.tga textures/dg_demon/flame5.tga textures/dg_demon/flame6.tga textures/dg_demon/flame7.tga textures/dg_demon/flame8.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		rgbGen wave inverseSawtooth 0 1 0 10
		
	}	
	{
		animMap 10 textures/dg_demon/flame2.tga textures/dg_demon/flame3.tga textures/dg_demon/flame4.tga textures/dg_demon/flame5.tga textures/dg_demon/flame6.tga textures/dg_demon/flame7.tga textures/dg_demon/flame8.tga textures/dg_demon/flame1.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		rgbGen wave sawtooth 0 1 0 10
	}	


	{
		map textures/dg_demon/flameball.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		rgbGen wave sin .6 .2 0 .6	
	}
}
///////////////////////////////
/////////			MUD HUT
//////////////////////////////

textures/dg_demon/mud_hut_2window
{
	qer_editorimage textures/dg_demon/mud_hut_2window.tga
	q3map_lightmapsamplesize 1x1
	surfaceparm gravelsteps  


	{
		map $lightmap
	}

	{
		map textures/dg_demon/mud_hut_2window.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

