textures/dg_commlink/terrain_0
{
	surfaceparm nolightmap
	surfaceparm gravelsteps
	q3map_novertexshadows
	q3map_texturesize 512 512
	q3map_tcGen ivector ( 384 0 0 ) ( 0 384 0 )
	{
		map textures/dg_commlink/sand_wave_desert_a.tga
		rgbGen vertex
	}
}

textures/dg_commlink/terrain_1
{
	surfaceparm nolightmap
	surfaceparm gravelsteps
	q3map_novertexshadows
	q3map_texturesize 512 512
	q3map_tcGen ivector ( 384 0 0 ) ( 0 384 0 )
	{
		map textures/dg_commlink/lightrock_a.jpg
		rgbGen vertex
	}
}

textures/dg_commlink/terrain_0to1
{
	surfaceparm nolightmap
	surfaceparm gravelsteps
	q3map_novertexshadows
	q3map_texturesize 512 512
	q3map_tcGen ivector ( 384 0 0 ) ( 0 384 0 )
	
	{
		map textures/dg_commlink/sand_wave_desert_a.tga
		rgbGen vertex
	}
	{
		map textures/dg_commlink/lightrock_a.jpg
		rgbGen vertex
		alphaGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
}

textures/dg_commlink/terrain.vertex
{
	surfaceparm gravelsteps
	{
		map textures/dg_commlink/sand_wave_desert_a.tga
		rgbGen vertex
	}
}

//=============================
//=============================
//=============================
//=============================
//=============================
//=============================



textures/dg_commlink/commlinksky
{
	qer_editorimage textures/dg_commlink/env/commlink_sky_up.jpg
	q3map_globaltexture
	q3map_sunExt 252 250 214 400 -10 35 3 32
	q3map_lightmapFilterRadius 0 8
	q3map_skyLight 80 6

	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap

	skyparms textures/dg_commlink/env/commlink_sky - -

	nopicmip

}

//textures/dg_commlink/commlinksky
//{
//	qer_editorimage textures/dg_commlink/env/commlink_sky_up.jpg
//	q3map_globaltexture
//	q3map_sunExt 252 250 214 400 -10 35 3 32
//	q3map_lightmapFilterRadius 0 8
//	q3map_skyLight 100 6
//
//	surfaceparm sky
//	surfaceparm noimpact
//	surfaceparm nolightmap
//
//	skyparms textures/dg_commlink/env/commlink_sky - -
//
//	nopicmip
//
//}



textures/dg_commlink/fan
{
        surfaceparm trans	
        surfaceparm nomarks	
	  cull none
        nopicmip
	{
		clampmap textures/sfx/fan.tga
		tcMod rotate 256 
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/dg_commlink/water_waste		
	{
		qer_editorimage textures/liquids/water_m7.tga
		//qer_trans .5
		q3map_globaltexture
		surfaceparm nonsolid
		surfaceparm water
	
		cull disable
		deformVertexes wave 64 sin .5 .2 0 .5	
		waterfogvars ( 0.1 0.1 0.1 ) 64

		{ 
			fog on
			map textures/liquids/water_m7.tga
			blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
			rgbgen vertex
			//tcmod scale .3 .5
			//tcmod stretch 0 1 .01 0 .25 1
			tcmod scroll .005 .008
		}	
	
		{
			//map $lightmap
			//blendFunc GL_dst_color GL_zero
			rgbgen identity		
		}
}

textures/dg_commlink/north
{
	polygonOffset
	entityMergable


	{
		map textures/dg_commlink/north.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
		alphaGen vertex


	}
}

textures/dg_commlink/south
{
	polygonOffset
	entityMergable


	{
		map textures/dg_commlink/south.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
		alphaGen vertex


	}
}

textures/dg_commlink/east
{
	polygonOffset
	entityMergable


	{
		map textures/dg_commlink/east.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
		alphaGen vertex


	}
}

textures/dg_commlink/west
{
	polygonOffset
	entityMergable


	{
		map textures/dg_commlink/west.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
		alphaGen vertex


	}
}
